MDL-49329 admin: Improve the plugin package validator
authorDavid Mudrák <david@moodle.com>
Wed, 7 Oct 2015 09:50:49 +0000 (11:50 +0200)
committerDavid Mudrák <david@moodle.com>
Thu, 8 Oct 2015 21:32:05 +0000 (23:32 +0200)
commit8acee4b53d79500cda7056e712a1ef43c6997950
tree23e01bcf98a63061c9234be151a7df7a4f35600c
parentfd2d1462188b2285de3a3f92822b34750b812851
MDL-49329 admin: Improve the plugin package validator

Previously, the validator was used for installation of the new plugins
only. We now validate every incoming plugin package. As a result, we
must no longer insists on the target location is empty. Instead, warning
is raised.
lang/en/plugin.php
lib/classes/plugin_manager.php
lib/classes/update/validator.php
lib/tests/fixtures/testable_update_validator.php
lib/tests/update_validator_test.php